package com.xkrs.dao;

import com.xkrs.model.entity.CityEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author xkrs
 */
@Component
public interface CityDao extends JpaRepository<CityEntity,Long>, JpaSpecificationExecutor<CityEntity> {

    /**
     * 根据省编码查询城市有关信息
     * @param proCode
     * @return
     */
    @Query(value = "select city_name,city_code,city_latitude,city_longitude from city where pro_code = ?",nativeQuery = true)
    List<Object[]> selectCityNameAndLatAndLog(String proCode);
}
