package com.xkrs.dao;

import com.xkrs.entity.FireTaskPhoto;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @author xkrs
 */
public interface FireTaskPhotoDao extends JpaRepository<FireTaskPhoto,Long>, JpaSpecificationExecutor<FireTaskPhoto> {

    /**
     * 根据火点编码查询图片
     * @param fireCode
     * @return
     */
    @Query(value = "select task_photo from fire_task_photo where photo_fire_code = :fireCode",nativeQuery = true)
    List<Object[]> findPhotoPath(String fireCode);

    /**
     * 通过火点编码查询图片的信息
     * @param fireCode
     * @return
     */
    List<FireTaskPhoto> findAllByPhotoFireCode(String fireCode);
}
