package com.xkrs.model.qo;

/**
 * @author XinYi Song
 * 火点参数类
 */
public class FirePointQo {

    /**
     * 火点编码
     */
    private String fireCode;

    /**
     * 省市区的编码
     */
    private Integer countyCode;

    /**
     * 省市区的名称
     */
    private String countyName;

    /**
     * 卫星监测的时间戳
     */
    private Integer satelliteTimeTs;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 卫星类型
     */
    private String satelliteType;

    /**
     * 植被类型
     */
    private String landType;

    /**
     * 置信度
     */
    private String confidence;

    public FirePointQo() {
    }

    public FirePointQo(String fireCode, Integer countyCode, String countyName, Integer satelliteTimeTs, Double longitude, Double latitude, String satelliteType, String landType, String confidence) {
        this.fireCode = fireCode;
        this.countyCode = countyCode;
        this.countyName = countyName;
        this.satelliteTimeTs = satelliteTimeTs;
        this.longitude = longitude;
        this.latitude = latitude;
        this.satelliteType = satelliteType;
        this.landType = landType;
        this.confidence = confidence;
    }

    public String getFireCode() {
        return fireCode;
    }

    public void setFireCode(String fireCode) {
        this.fireCode = fireCode;
    }

    public Integer getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(Integer countyCode) {
        this.countyCode = countyCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public Integer getSatelliteTimeTs() {
        return satelliteTimeTs;
    }

    public void setSatelliteTimeTs(Integer satelliteTimeTs) {
        this.satelliteTimeTs = satelliteTimeTs;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public String getSatelliteType() {
        return satelliteType;
    }

    public void setSatelliteType(String satelliteType) {
        this.satelliteType = satelliteType;
    }

    public String getLandType() {
        return landType;
    }

    public void setLandType(String landType) {
        this.landType = landType;
    }

    public String getConfidence() {
        return confidence;
    }

    public void setConfidence(String confidence) {
        this.confidence = confidence;
    }

    @Override
    public String toString() {
        return "FirePointQo{" +
                "fireCode='" + fireCode + '\'' +
                ", countyCode='" + countyCode + '\'' +
                ", countyName='" + countyName + '\'' +
                ", satelliteTimeTs=" + satelliteTimeTs +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", satelliteType='" + satelliteType + '\'' +
                ", landType='" + landType + '\'' +
                ", confidence='" + confidence + '\'' +
                '}';
    }
}
